Bug 15059 - Line break in html attribute
Summary: Line break in html attribute
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-26 07:43 UTC by Fridolin SOMERS
Modified: 2017-06-14 22:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15059 - Line break in html attribute (5.97 KB, patch)
2015-10-26 08:24 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 15059 - Line break in html attribute (6.11 KB, patch)
2015-10-27 05:06 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15059 - Line break in html attribute in branchoverdues.tt (3.40 KB, patch)
2015-10-28 08:52 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 15059 - Line break in html attribute in branchoverdues.tt (3.53 KB, patch)
2015-10-28 09:34 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15059 - Line break in html attribute in branchoverdues.tt (3.60 KB, patch)
2015-10-30 09:47 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2015-10-26 07:43:08 UTC
In some templates, there is a line break inside href attribute.
This generates an attribute with a lot of spaces %20.
Comment 1 Fridolin SOMERS 2015-10-26 08:24:00 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-10-27 05:06:02 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-10-27 14:41:13 UTC
Please provide a fix on top of bug 14955
Comment 4 Fridolin SOMERS 2015-10-28 08:52:43 UTC Comment hidden (obsolete)
Comment 5 Fridolin SOMERS 2015-10-28 08:58:01 UTC
(In reply to Jonathan Druart from comment #3)
> Please provide a fix on top of bug 14955

Super, Bug 14955 fixes the facets includes.
This patch will only fix branchoverdues.tt
Comment 6 Fridolin SOMERS 2015-10-28 09:05:39 UTC
(In reply to Fridolin SOMERS from comment #5)
> (In reply to Jonathan Druart from comment #3)
> > Please provide a fix on top of bug 14955
> 
> Super, Bug 14955 fixes the facets includes.
> This patch will only fix branchoverdues.tt

In this case, this bug can be tested without bug 14955.
Comment 7 Marc Véron 2015-10-28 09:34:39 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2015-10-30 09:47:02 UTC
Created attachment 44193 [details] [review]
Bug 15059 - Line break in html attribute in branchoverdues.tt

In circ/branchoverdues.tt, there is a line break inside href attribute.
This generates an attribute with a lot of spaces %20.

Test plan :
- at intranet go to ciculation module
- click on "Overdues with fines"
- look at links "Phone", "Notice" and "Considered lost"
=> Without patch the URL contains a lot of spaces
=> With patch the URL is correct

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Tomás Cohen Arazi 2015-11-02 15:56:26 UTC
Does this one really depend on 14955?
Comment 10 Tomás Cohen Arazi 2015-11-04 14:06:29 UTC
Patch pushed to master.

Thanks Frido!
Comment 11 Liz Rea 2016-01-06 21:23:56 UTC
Pushed to 3.18.13, and released.